/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"gbview.h"


void
set_inc_status_error(RESOURCE * r,XL_SEXP * er)
{
	lock_task(status_lock);
	r->h.incremental_error = er;
	if ( r->h.incremental_status != RS_ERROR ) {
		r->h.error_time = get_xltime();
		r->h.error_expire = 1;
	}
	r->h.incremental_status = RS_ERROR;
	unlock_task(status_lock,"set_status_error");
	call_gv_event(r->h.no,l_string(std_cm,"incremental-status"));
}
